#if !defined DISPLAY_H
#define DISPLAY_H

#include "active.h"
#include "smartptrs.h"

class ViewWave;
class ViewFreq;

class Painter: public ActiveObject
{
public:
    Painter (
        HWND hwnd,
        ViewWave& viewWave,
        ViewFreq& viewFreq,
        int samplesPerBuf, 
        int samplesPerSec );

    BOOL ReInit (
        int samplesPerBuf, 
        int samplesPerSec, 
        int bitsPerSample);

    BOOL Start ();
    void Stop ();

private:
    void InitThread () {}
    void Run ();
    void FlushThread ();

    void LokWaveInData ();

    ViewWave   &_viewWave;
    ViewFreq   &_viewFreq;

    int         _samplesPerBuf;
    int         _samplesPerSecond;
    int         _bitsPerSample;

    HWND        _hwnd;

    Mutex       _mutex;
    Event       _event;

    PtrRecorder _pRecorder;
};

#endif
