#if !defined VIEWS_H
#define VIEWS_H

#include "controls.h"
#include "canvas.h"

class SampleIter;

class ViewFreq: public SimpleControl
{
public:
    ViewFreq (HWND hwndParent, int id) 
        : SimpleControl (hwndParent, id),
          _xRecord(0),
          _penGreen (RGB(0, 255, 0)),
          _penRed (RGB(255, 0, 0))
      {}
    void Update (SampleIter& iter);
    void Clear ();
private:
    int         _xRecord;
    Pen         _penGreen;
    Pen         _penRed;
};

class ViewWave: public SimpleControl
{
public:
    ViewWave (HWND hwndParent, int id, int cSamples) 
        : SimpleControl (hwndParent, id),
          _poly (cSamples),
          _penGreen (RGB(0, 255, 128))
    {}
    void Update ();
private:
    PolyLine    _poly;
    Pen         _penGreen;
};

#endif
